netcdf_nc_interfaces::nc_strerror Interface Reference

Begin explicit interfaces for base nc_ functions. More...

## Public Member Functions

type(c_ptr) function | nc_strerror (ncerr)

## Detailed Description

Begin explicit interfaces for base nc_ functions.

Note that some interfaces expect data to be passed as C_PTR type variables. These data are arrays that could have a NULL pointer passed instead of the array. All strings are passed as C_CHAR interoperable strings. Most data in put routines that map to a void pointer in C are passed as a Type(C_PTR) value. Data from get routine that pass as a void pointer in C are passed as a C_CHAR string.

Definition at line 67 of file module_netcdf_nc_interfaces.f90.

## Constructor & Destructor Documentation

## nc_strerror()

type(c_ptr) function netcdf_nc_interfaces::nc_strerror::nc_strerror | ( | integer(c_int), value | ncerr | ) |

Definition at line 68 of file module_netcdf_nc_interfaces.f90.

The documentation for this interface was generated from the following file:

- module_netcdf_nc_interfaces.f90

Return to the Main Unidata NetCDF page.